## geos 3.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,9 @@
 # See the COPYING file for more information.
 ##############################################################################
 
-# Require CMake 3.8+ with support for meta-features that request compiler
-# modes for specific C/C++ language standard levels.
-cmake_minimum_required(VERSION 3.8)
+# Require CMake 3.13+ with support for meta-features that request compiler
+# modes for specific C/C++ language standard levels, and object libraries.
+cmake_minimum_required(VERSION 3.13)
 
 # Default to release build so packagers don't release debug builds
 set(DEFAULT_BUILD_TYPE Release)
@@ -26,7 +26,7 @@
 
 # TODO: Follow CMake detection of git and version tagging
 #       https://gitlab.kitware.com/cmake/cmake/blob/master/Source/CMakeVersionSource.cmake
-if(EXISTS ${CMAKE_SOURCE_DIR}/.git/HEAD)
+if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
   set(GEOS_BUILD_FROM_GIT ON)
 endif()
 
@@ -48,7 +48,7 @@
 set(CMAKE_CXX_STANDARD 11 CACHE STRING "C++ standard version to use (default is 11)")
 
 ## GEOS custom variables
-option(BUILD_BENCHMARKS "Build GEOS benchmarks" ON)
+option(BUILD_BENCHMARKS "Build GEOS benchmarks" OFF)
 cmake_dependent_option(GEOS_BUILD_DEVELOPER
   "Build with compilation flags useful for development" ON
   "GEOS_BUILD_FROM_GIT" OFF)
@@ -131,6 +131,7 @@
   set(GEOS_VERSION "${GEOS_VERSION}${_version_patch_word}")
   set(GEOS_VERSION_PATCH "${_version_patch}${_version_patch_word}")
 endif()
+set(GEOS_VERSION_NOPATCH "${_version_major}.${_version_minor}.${_version_patch}")
 
 unset(_version_major)
 unset(_version_minor)
@@ -140,6 +141,13 @@
 message(STATUS "GEOS: Version ${GEOS_VERSION}")
 message(STATUS "GEOS: C API Version ${CAPI_VERSION}")
 message(STATUS "GEOS: JTS port ${JTS_PORT}")
+
+#-----------------------------------------------------------------------------
+# Install directories
+#-----------------------------------------------------------------------------
+
+include(GNUInstallDirs)
+include(CMakePackageConfigHelpers)
 
 #-----------------------------------------------------------------------------
 # C++ language version and compilation flags
@@ -164,10 +172,15 @@
 #-----------------------------------------------------------------------------
 
 target_compile_options(geos_cxx_flags INTERFACE
-	"$<$<CXX_COMPILER_ID:Clang>:-ffp-contract=off>"
+	"$<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-ffp-contract=off>"
 	"$<$<CXX_COMPILER_ID:GNU>:-ffp-contract=off>"
 	"$<$<CXX_COMPILER_ID:MSVC>:/fp:precise>"
 	)
+
+# Use -ffloat-store for 32-bit builds (needed to make some tests pass)
+target_compile_options(geos_cxx_flags INTERFACE
+  $<$<AND:$<CXX_COMPILER_ID:GNU>,$<EQUAL:4,${CMAKE_SIZEOF_VOID_P}>>:-ffloat-store>
+)
 
 #-----------------------------------------------------------------------------
 # Target geos_cxx_flags: common compilation flags
@@ -181,6 +194,11 @@
   message(STATUS
     "GEOS: Function inlining DISABLED")
 endif()
+
+# Make sure NDEBUG is defined so that assert() is disabled for
+# any non-debug build. Use a generator expression so that this
+# works with multi-configuration generators.
+target_compile_definitions(geos_cxx_flags INTERFACE $<$<NOT:$<CONFIG:Debug>>:NDEBUG>)
 
 #-----------------------------------------------------------------------------
 # Target geos_cxx_flags: overlayng code
@@ -230,8 +248,10 @@
 target_compile_options(geos_developer_cxx_flags
   INTERFACE
     $<$<CXX_COMPILER_ID:MSVC>:-W4>
-    $<$<OR:$<CXX_COMPILER_ID:GNU>,$<CXX_COMPILER_ID:Clang>>:-pedantic -Wall -Wextra -Wno-long-long -Wcast-align -Wconversion -Wchar-subscripts -Wdouble-promotion -Wpointer-arith -Wformat -Wformat-security -Wshadow -Wuninitialized -Wunused-parameter -fno-common>
-    $<$<CXX_COMPILER_ID:GNU>:-fno-implicit-inline-templates>)
+    $<$<OR:$<CXX_COMPILER_ID:GNU>,$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-Werror -pedantic -Wall -Wextra -Wno-long-long -Wcast-align -Wconversion -Wchar-subscripts -Wdouble-promotion -Wpointer-arith -Wformat -Wformat-security -Wshadow -Wuninitialized -Wunused-parameter -fno-common>
+    $<$<CXX_COMPILER_ID:GNU>:-fno-implicit-inline-templates -Wno-psabi>
+    $<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-Wno-unknown-warning-option>
+    )
 
 #-----------------------------------------------------------------------------
 # Define a coverage build
@@ -239,10 +259,18 @@
 set(CMAKE_CXX_FLAGS_COVERAGE "-fprofile-arcs -ftest-coverage")
 
 #-----------------------------------------------------------------------------
+# Extra libraries
+#-----------------------------------------------------------------------------
+include(CheckLibraryExists)
+check_library_exists(m pow "" HAVE_LIBM)
+
+#-----------------------------------------------------------------------------
 # Target geos: C++ API library
 #-----------------------------------------------------------------------------
 add_library(geos "")
-target_link_libraries(geos PUBLIC geos_cxx_flags)
+target_link_libraries(geos PUBLIC geos_cxx_flags PRIVATE $<BUILD_INTERFACE:ryu>)
+# ryu is an object library, nothing is actually being linked here. The BUILD_INTERFACE
+# switch was necessary to build on AppVeyor (CMake 3.16.2) but not locally (CMake 3.16.3)
 add_subdirectory(include)
 add_subdirectory(src)
 
@@ -250,55 +278,11 @@
   target_compile_definitions(geos
     PRIVATE $<IF:$<CXX_COMPILER_ID:MSVC>,GEOS_DLL_EXPORT,DLL_EXPORT>)
 
-  set_target_properties(geos PROPERTIES VERSION ${GEOS_VERSION})
-  set_target_properties(geos PROPERTIES SOVERSION ${GEOS_VERSION})
+  set_target_properties(geos PROPERTIES VERSION ${GEOS_VERSION_NOPATCH})
+  set_target_properties(geos PROPERTIES SOVERSION ${GEOS_VERSION_NOPATCH})
 endif()
 
 #-----------------------------------------------------------------------------
 # Target geos_c: C API library
 #-----------------------------------------------------------------------------
 add_library(geos_c "")
-target_link_libraries(geos_c PRIVATE geos)
-
-if(BUILD_SHARED_LIBS)
-  target_compile_definitions(geos_c
-    PRIVATE $<IF:$<CXX_COMPILER_ID:MSVC>,GEOS_DLL_EXPORT,DLL_EXPORT>)
-
-  set_target_properties(geos_c PROPERTIES VERSION ${CAPI_VERSION})
-  if(NOT WIN32)
-    set_target_properties(geos_c PROPERTIES SOVERSION ${CAPI_VERSION_MAJOR})
-  endif()
-endif()
-
-add_subdirectory(capi)
-
-#-----------------------------------------------------------------------------
-# Tests
-#-----------------------------------------------------------------------------
-include(CTest)
-if(BUILD_TESTING)
-  add_subdirectory(tests)
-endif()
-
-#-----------------------------------------------------------------------------
-# Benchmarks
-#-----------------------------------------------------------------------------
-if(BUILD_BENCHMARKS)
-  add_subdirectory(benchmarks)
-endif()
-
-#-----------------------------------------------------------------------------
-# Documentation/Examples
-#-----------------------------------------------------------------------------
-add_subdirectory(doc)
-
-#-----------------------------------------------------------------------------
-# Install and export targets - support 'make install' or equivalent
-#-----------------------------------------------------------------------------
-include(CMakePackageConfigHelpers)
-
-write_basic_package_version_file(
-  "${CMAKE_CURRENT_BINARY_DIR}/geos-config-version.cmake"
-  VERSION ${GEOS_VERSION}
-  COMPATIBILITY AnyNewerVersion)
-
