=== debian/changelog ===
geos (3.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Update 3.10.0~rc3 symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Oct 2021 05:56:56 +0200

geos (3.10.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 3.10.0~rc2 symbols for other architectures.
  * Update 3.10.0~rc3 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Oct 2021 06:24:10 +0200

geos (3.10.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 3.10.0~rc1 symbols for other architectures.
  * Explicitly use cmake buildsystem to not use configure script.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Oct 2021 08:35:02 +0200

geos (3.10.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 3.10.0~beta3 symbols for other architectures.
  * Update 3.10.0~rc1 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Oct 2021 05:53:35 +0200

geos (3.10.0~beta3-1~exp2) experimental; urgency=medium

  * Don't use rules to install docs & examples.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Oct 2021 14:27:07 +0200

geos (3.10.0~beta3-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Oct 2021 20:39:47 +0200

geos (3.10.0~beta2-1) experimental; urgency=medium

  * New upstream beta release.
  * Drop patches, applied/included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Oct 2021 07:37:08 +0200

geos (3.10.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update copyright file.
  * Add patch to not include pre-release in SONAME.
  * Rename library package for SONAME bump.
  * Add patch to disable test_docs, causes FTBFS.
  * Switch from autotools to cmake.
  * Add geos-bin package for geosop.
  * Add patch to fix spelling errors.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Oct 2021 11:10:29 +0200
