=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
+               cmake,
                doxygen,
                pkg-kde-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
 Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
@@ -29,7 +30,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos-3.9.1 (= ${binary:Version}),
+Depends: libgeos3.10.0 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -66,10 +67,9 @@
    * area and distance functions, and
    * topological validity checking
  .
- This package contains the C library. A C++ library is provided
- by the libgeos-* package.
+ This package contains the C library.
 
-Package: libgeos-3.9.1
+Package: libgeos3.10.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -105,3 +105,24 @@
  OpenGIS Consortium Simple Features Specification for SQL.
  .
  This package contains the documentation for the GEOS API.
+
+Package: geos-bin
+Architecture: any
+Section: utils
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Geometry engine for Geographic Information Systems - Utilities
+ GEOS provides a spatial object model and fundamental geometric
+ functions. It implements the geometry model defined in the
+ OpenGIS Consortium Simple Features Specification for SQL.
+ Functions provided include:
+ .
+   * spatial predicates (based on the DE-9IM model),
+   * overlay functions (intersection, difference, union,
+     symmetric difference),
+   * buffer,
+   * convex hull,
+   * area and distance functions, and
+   * topological validity checking
+ .
+ This package contains the utilities.
