## geos 3.10.1

=== debian/changelog ===
geos (3.10.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Nov 2021 18:59:04 +0100

geos (3.10.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Nov 2021 05:55:36 +0100
