=== debian/changelog ===
geos (3.10.2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Jan 2022 15:25:46 +0100

geos (3.10.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update upstream metadata for GitHub repo.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.
  * Also include .hpp files in libgeos++-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Jan 2022 07:19:33 +0100
