=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.10.1 (= ${binary:Version}),
+Depends: libgeos3.10.2 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -69,7 +69,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.10.1
+Package: libgeos3.10.2
 Architecture: any
 Multi-Arch: same
 Section: libs
