## geos 3.10.3

=== debian/changelog ===
geos (3.10.3-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Jun 2022 08:06:45 +0200

geos (3.10.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Include .inl files in libgeos++-dev.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Jun 2022 18:59:19 +0200
