=== debian/rules ===
--- 
+++ 
@@ -41,11 +41,7 @@
 override_dh_install:
 	# add C++ headers to C++ dev package install file
 	cp debian/libgeos++-dev.install.in debian/libgeos++-dev.install
-	find debian/tmp/usr/include/geos \( -name "*.h" -o -name "*.hpp" \) -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >> debian/libgeos++-dev.install
-
-	# Don't install geos.h & .inl files
-	rm -f debian/tmp/usr/include/geos.h
-	find debian/tmp/usr/include/geos -name "*.inl" -delete
+	find debian/tmp/usr/include/geos \( -name "*.h" -o -name "*.hpp" -o -name "*.inl" \) -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >> debian/libgeos++-dev.install
 
 	# Remove .asm files
 	rm -f debian/tmp/usr/include/geos/algorithm/ttmath/ttmathuint_x86_64_msvc.asm
