## geos 3.11.0

=== debian/changelog ===
geos (3.11.0-2) unstable; urgency=medium

  * Drop obsolete dh_strip override, dbgsym migration complete.
  * Add patch to fix FTBFS with Doxygen 1.9.4.
    (closes: #1015862)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jul 2022 18:03:03 +0200

geos (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Jul 2022 20:30:53 +0200

geos (3.11.0~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.6.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Jun 2022 05:20:59 +0200

geos (3.11.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Revert web directory exclusion, fixed upstream.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Jun 2022 19:45:02 +0200

geos (3.11.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Rename library package for SONAME bump.
  * Don't include .inl files in libgeos++-dev, removed upstream.
  * Update copyright file.
  * Exclude web directory from upstream tree.
  * Update docs for renamed NEWS.md.
  * Update symbols for amd64.
  * Include geos.h in libgeos++-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Jun 2022 06:10:50 +0200
