=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake,
                doxygen,
                pkg-kde-tools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
 Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
@@ -30,7 +30,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.10.3 (= ${binary:Version}),
+Depends: libgeos3.11.0 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -69,7 +69,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.10.3
+Package: libgeos3.11.0
 Architecture: any
 Multi-Arch: same
 Section: libs
