=== benchmarks/algorithm/locate/CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,8 @@
 if (benchmark_FOUND)
     add_executable(perf_indexed_point_in_area_locator IndexedPointInAreaLocatorPerfTest.cpp)
     target_include_directories(perf_indexed_point_in_area_locator PUBLIC
-            $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>
-            $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}/include>)
+            $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+            $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>)
     target_link_libraries(perf_indexed_point_in_area_locator PRIVATE
             benchmark::benchmark geos)
 endif()
