=== debian/changelog ===
geos (3.11.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Nov 2022 06:12:17 +0100

geos (3.11.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename library package for SONAME bump.
  * Drop doxygen 1.9.4 patch, fixed upstream.
  * Update copyright file.
  * Update lintian overrides.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Nov 2022 05:25:47 +0100
