=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.11.0 (= ${binary:Version}),
+Depends: libgeos3.11.1 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -69,7 +69,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.11.0
+Package: libgeos3.11.1
 Architecture: any
 Multi-Arch: same
 Section: libs
