=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 override_dh_install:
 	# add C++ headers to C++ dev package install file
 	cp debian/libgeos++-dev.install.in debian/libgeos++-dev.install
-	find debian/tmp/usr/include/geos \( -name "*.h" -o -name "*.hpp" -o -name "*.inl" \) -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >> debian/libgeos++-dev.install
+	find debian/tmp/usr/include/geos \( -name "*.h" -o -name "*.hpp" \) -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >> debian/libgeos++-dev.install
 
 	# Remove .asm files
 	rm -f debian/tmp/usr/include/geos/algorithm/ttmath/ttmathuint_x86_64_msvc.asm
@@ -54,8 +54,5 @@
 override_dh_installman:
 	dh_installman -plibgeos-dev debian/geos-config.1
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libgeos-dbg (<< 3.5.1-4~)'
-
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0
